package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelCategories;
import com.latian.latianSpringBoot.repository.CategoriesRepository;

@Service
public class ServiceCategories {
	
	@Autowired
	CategoriesRepository cr;

	public List<ModelCategories> getAllData(){
		return cr.findAll();
	}
	public ModelCategories getDataById(Integer id) {
		return cr.findById(id).get();
	}
	public ModelCategories addCategories(ModelCategories mc) {
		return cr.save(mc);
	}
	public ModelCategories deleteCategories(Integer id) {
		cr.deleteById(id);
		return deleteCategories(id);
	}
}