package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelOrders;
import com.latian.latianSpringBoot.repository.OrdersRepository;

@Service
public class ServiceOrder {
	@Autowired
	OrdersRepository ordersRepository;
	
	public List<ModelOrders> getAllData(){
		return ordersRepository.findAll();
	}
	public ModelOrders getDataById(Integer id) {
		return ordersRepository.findById(id).get();
	}
	public ModelOrders addData(ModelOrders modelOrders) {
		return ordersRepository.save(modelOrders);
	}
	public ModelOrders deleteData(Integer id) {
		ordersRepository.deleteById(id);
		return null;
	}
}
