package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelShipper;
import com.latian.latianSpringBoot.repository.ShipperRepository;

@Service
public class ServiceShipper {
	
	@Autowired
	ShipperRepository sr;
	
	public List<ModelShipper> getAll(){
		return sr.findAll();
	}
	public ModelShipper getById(Integer id) {
		return sr.findById(id).get();
	}
	public ModelShipper addShipper(ModelShipper ms) {
		return sr.save(ms);
	}
	public ModelShipper deleteShipper(Integer id) {
		sr.deleteById(id);
		return deleteShipper(id);
	}
}