package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelSuppliers;
import com.latian.latianSpringBoot.repository.SuppliersRepository;

@Service
public class ServiceSupliers {
	@Autowired
	SuppliersRepository suppliersRepository;
	
	public List<ModelSuppliers> getAllData(){
		return suppliersRepository.findAll();
	}
	public ModelSuppliers getDataById(Integer id) {
		return suppliersRepository.findById(id).get();
	}
	public ModelSuppliers addSupplier(ModelSuppliers ms) {
		return suppliersRepository.save(ms);
	}
	public ModelSuppliers deleteSupplier(Integer id) {
		suppliersRepository.deleteById(id);
		return deleteSupplier(id);
	}
}
