package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelCustomer;
import com.latian.latianSpringBoot.service.ServiceCustomer;

@RestController
public class ControllerCustomer {
	
	@Autowired
	ServiceCustomer ls;
	
	@GetMapping(value="/customer")
	public List<ModelCustomer> getAllData() {
		return ls.showTabel();
	}
	@PostMapping(value="/customer")
	public ModelCustomer tambahSiswa(@RequestBody ModelCustomer md) {
		return ls.tambahCust(md);
	}
	@GetMapping(value="/customer/{id}")
	public ModelCustomer cariIdCustomer(@PathVariable("id") Integer id) {
		return ls.cariId(id);
	}
	@PutMapping(value="/customer/edit/{id}")
	public ModelCustomer editCustomer(@PathVariable("id") Integer id, @RequestBody ModelCustomer md) {
		ls.cariId(id);
		md.setAddress(md.getAddress());
		md.setCompanyName(md.getCity());
		md.setCompanyName(md.getCompanyName());
		md.setContactName(md.getContactName());
		md.setContactTitle(md.getContactTitle());
		md.setCountry(md.getCountry());
		md.setFax(md.getFax());
		md.setPhone(md.getPhone());
		md.setPostalCode(md.getPostalCode());
		md.setRegion(md.getRegion());
		return ls.tambahCust(md);
	}
	@DeleteMapping(value="/customer/delete/{id}")
	public ModelCustomer deleteCustomer(@PathVariable("id") Integer id) {
		return ls.deleteCust(id);
	}
}
