package com.latian.latianSpringBoot.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.latian.latianSpringBoot.model.ModelProducts;
import com.latian.latianSpringBoot.service.ServiceProducts;

@RestController
public class ControllerProducts {
	@Autowired
	ServiceProducts serviceProducts;
	
	@GetMapping(value="/products")
	public List<ModelProducts> getAllProducts(){
		return serviceProducts.getAllData();
	}
	@GetMapping(value="/products/{id}")
	public ModelProducts getProductById(@PathVariable("id") Integer id) {
		return serviceProducts.getDataById(id);
	}
	@PostMapping(value="/products")
	public ModelProducts addProduct(@RequestBody ModelProducts modelProducts) {
		return serviceProducts.addData(modelProducts);
	}
}