package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelEmployees;
import com.latian.latianSpringBoot.repository.EmployeesRepository;

@Service
public class ServiceEmployees {
	@Autowired
	EmployeesRepository employeesRepository;
	
	public List<ModelEmployees> getAllData(){
		return employeesRepository.findAll();
	}
	public ModelEmployees getDataById(Integer id) {
		return employeesRepository.findById(id).get();
	}
	public ModelEmployees addData(ModelEmployees modelEmployees) {
		return employeesRepository.save(modelEmployees);
	}
	public ModelEmployees deletData(Integer id) {
		employeesRepository.deleteById(id);
		return deletData(id);
	}
}
