package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelOrderDetail;
import com.latian.latianSpringBoot.repository.OrderDetailRepository;

@Service
public class ServiceOrderDetail {
	
	@Autowired
	OrderDetailRepository oDetailRepository;
	
	public List<ModelOrderDetail> getAllData(){
		return oDetailRepository.findAll();
	}
	public ModelOrderDetail getDataById(Integer id) {
		return oDetailRepository.findById(id).get();
	}
	public List<ModelOrderDetail> getDataByOrder(Integer orderId){
		return oDetailRepository.findByOrderID(orderId);
	}
	public ModelOrderDetail addData(ModelOrderDetail modelOrderDetail) {
		return oDetailRepository.save(modelOrderDetail);
	}
}
