package com.latian.latianSpringBoot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.latian.latianSpringBoot.model.ModelProducts;
import com.latian.latianSpringBoot.repository.ProductsRepository;

@Service
public class ServiceProducts {
	@Autowired
	ProductsRepository productsRepository;
	
	public List<ModelProducts> getAllData(){
		return productsRepository.findAll();
	}
	public ModelProducts getDataById(Integer id) {
		return productsRepository.findById(id).get();
	}
	public ModelProducts addData(ModelProducts modelProducts) {
		return productsRepository.save(modelProducts);
	}
	public ModelProducts deleteData(Integer id) {
		productsRepository.deleteById(id);
		return deleteData(id);
	}
}
